electron连接sqlite

 

    先安装electron,这个就不说了
    sqlite3不像其他模块,下载了就能用的,这里还需要再编译一下,否则是会出错的,具体怎么编译如下:

    1,先安装
        cnpm install sqlite3
    2,编译工具安装
        npm install --global --production windows-build-tools
    3,编译sqlite
        npm rebuild sqlite3 --runtime=electron --target=1.7.10 --disturl=https://atom.io/download/atom-shell --abi=57
        参数说明:
            --target: 是electron的版本号
            --abi: 这个需要去某个网址查找
                居然查找方法:
                    https://github.com/mapbox/node-pre-gyp/blob/master/lib/util/abi_crosswalk.json;进入这个网址可以看到类似以下的内容

                    {
                        "0.4.12": {
                            "node_abi": 1,
                            "v8": "3.1"
                        },
                        "0.5.0": {
                            "node_abi": 1,
                            "v8": "3.1"
                        }
                    }

                    0.4.12这个是node版,node_abi就是对应的abi
                    需要注意的一点是,这里的node版本不是我们本地下载的node版本,而是在我们安装electron的时候,electron内也带了node,所以我们要查找的electron自带的node版本
                    至于具体怎么查版本,回头贴一下代码,不过在我们初始化的时候,是会有node的版本和electron的版本的;
                    
                    We are using node ,
                    Chrome ,
                    and Electron .

你可能感兴趣的